import fetch from 'utils/fetch';


export function page(query) {
  return fetch({
    url: '/vehicle/vehicleWarningMsg/page',
    method: 'get',
    params: {
      queryVehicleWarningMsgVoJson: JSON.stringify(query)
    }
  });
}


export function getObj(id) {
  return fetch({
    url: '/vehicle/vehicleWarningMsg/' + id,
    method: 'get'
  });
}

export function addObj(obj) {
  return fetch({
    url: '/vehicle/vehicleWarningMsg',
    method: 'post',
    data: obj
  });
}

export function dealObj(id) {
  return fetch({
    url: '/vehicle/vehicleWarningMsg/deal/' + id,
    method: 'put'
  });
}
